package org.wfc.omada.api.account.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * The sites which can be accessed.
 */
@ApiModel(description = "The sites which can be accessed.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:44:52.771+08:00[Asia/Shanghai]")

public class SiteInfoOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  public SiteInfoOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Site ID
   * @return id
  */
  @ApiModelProperty(value = "Site ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public SiteInfoOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Site name should contain 0 to 64 characters.
   * @return name
  */
  @ApiModelProperty(value = "Site name should contain 0 to 64 characters.")

@Pattern(regexp="^[^ \\+\\-\\@\\=]$|^[^ \\+\\-\\@\\=].{0,62}[^ ]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteInfoOpenApiVo siteInfoOpenApiVo = (SiteInfoOpenApiVo) o;
    return Objects.equals(this.id, siteInfoOpenApiVo.id) &&
        Objects.equals(this.name, siteInfoOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteInfoOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

